#!/usr/bin/env perl

use strict;
use warnings;

use File::Find;

use Data::Dumper;


find( { wanted => \&findfiles, },'.' );

sub findfiles {
    if(-f "$File::Find::name") {
        if("$File::Find::name" =~ /.*.\[c\|cc\|cpp\|h\|hh\|hpp\]/) {
        print "$File::Find::name\n"; 
        }
    }

}
exit;
